@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Bayon&family=Bona+Nova&family=Darker+Grotesque:wght@400;700&family=Fredoka:wght@300..700&display=swap');

/* text styles */
h1 {
    font-family: "Fredoka", sans-serif;
    font-weight: 550;
}
h2 {
    font-family: "Fredoka", sans-serif;
    font-weight: 550;
}
h3 {
    font-family: "Fredoka", sans-serif;
    font-weight: 500;
}
.subtitle {
    text-align: center;
}
h4 {
    font-family: "Fredoka", sans-serif;
    font-weight: 600;
}
.caption {
    font-family: "Fredoka", sans-serif;
    font-weight: 500;
}
h5 {
    font-family: "Fredoka", sans-serif;
}
p {
    font-family: "Fredoka", sans-serif;
}

* {
    box-sizing: border-box;
}

/* general styling */
footer {
    margin-top: 20px;
    text-align: center;
    font-size: 0.9em;
    color: #777;
}
body {
    background-color: #f8f3e8;
    text-align: center;
    min-height: 100vh;
    margin: 0;
}

/* center of the front page */
.frontpage {
    padding: 100px;
    padding-top: 100px;
    padding-bottom: 200px;
    gap: 2rem;
    display: flex;
    justify-content: center; 
    align-items: center;
}
.frontpage h3 {
    flex: 1; 
    margin-right: 20px; 
    text-align: center;
}
.frontpage img {
    max-width: 250px;
    height: auto;
    max-height: 100%;
}
@media (max-width: 768px) {
    .frontpage {
        flex-direction: column;
        text-align: center;
    }
    .frontpage img {
        max-height: none;
    }
    .frontpage div {
        margin-bottom: 1rem;
    }
}

/* logo and top bar */
.topbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.logoname {
    display: flex; 
    align-items: center; 
}
.logo {
    height: 75px;
    float: left;
    padding-left: 10px;
    padding-right: 10px;
}
/* feature cards */
.feature-list {
    display: grid;
    gap: 1rem;
    padding: 25px;
    padding-bottom: 50px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    justify-items: stretch; 
}
.feature-card {
    border-radius: 8px;
    background-color: #ffe7e7;
    padding: 40px 28px;
    text-align: left;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    position: relative;
}
.feature-card:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 10;
}
.featureicon {
    max-height: 40px;
}
@media (max-width: 768px) {
    .feature-list {
        grid-template-columns: 1fr;
    }
}
/* .button-home styling */
.button-home {
  font-family: "Fredoka", sans-serif;
  float: right;
  align-items: center;
  appearance: none;
  background-color: #ffe7e7;
  border-radius: 15px;
  border-style: none;
  box-shadow: rgba(0, 0, 0, .2) 0 3px 5px -1px,rgba(0, 0, 0, .14) 0 6px 10px 0,rgba(0, 0, 0, .12) 0 1px 18px 0;
  box-sizing: border-box;
  color: #3c4043;
  cursor: pointer;
  display: inline-flex;
  fill: currentcolor;
  font-size: 14px;
  font-weight: 500;
  height: 48px;
  justify-content: center;
  letter-spacing: .25px;
  line-height: normal;
  max-width: 100%;
  overflow: visible;
  padding: 2px 20px;
  position: relative;
  text-align: center;
  text-transform: none;
  transition: box-shadow 280ms cubic-bezier(.4, 0, .2, 1),opacity 15ms linear 30ms,transform 270ms cubic-bezier(0, 0, .2, 1) 0ms;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  width: auto;
  will-change: transform,opacity;
}
.button-home:hover {
  background: #f3c5a8;
  color: #174ea6;
}
.button-home:active {
  box-shadow: 0 4px 4px 0 rgb(60 64 67 / 30%), 0 8px 12px 6px rgb(60 64 67 / 15%);
  outline: none;
}
.button-home:focus {
  outline: none;
  border: 2px solid #4285f4;
}
.button-home:not(:disabled) {
  box-shadow: rgba(60, 64, 67, .3) 0 1px 3px 0, rgba(60, 64, 67, .15) 0 4px 8px 3px;
}
.button-home:not(:disabled):hover {
  box-shadow: rgba(60, 64, 67, .3) 0 2px 3px 0, rgba(60, 64, 67, .15) 0 6px 10px 4px;
}
.button-home:not(:disabled):focus {
  box-shadow: rgba(60, 64, 67, .3) 0 1px 3px 0, rgba(60, 64, 67, .15) 0 4px 8px 3px;
}
.button-home:not(:disabled):active {
  box-shadow: rgba(60, 64, 67, .3) 0 4px 4px 0, rgba(60, 64, 67, .15) 0 8px 12px 6px;
}
.button-home:disabled {
  box-shadow: rgba(60, 64, 67, .3) 0 1px 3px 0, rgba(60, 64, 67, .15) 0 4px 8px 3px;
}
.botbtn {
    display: flex;
    justify-content: center;
    align-items: center; 
}
.topbtn {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    gap: 1rem;
    padding-right: 20px;
}
.login {
    background-color: #f8f3e8;
}
.login:hover {
    background: #f2ebdc;
    color: #174ea6;
}

.banner {
    width: 200px;
}